> For the complete documentation index, see [llms.txt](https://docs.dragonswap.app/dragonswap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/staker/libraries/nftpositioninfo.md).

# NFTPositionInfo

Encapsulates the logic for getting info about a NFT token ID

### Functions[​](https://docs.uniswap.org/contracts/v3/reference/periphery/staker/libraries/NFTPositionInfo#functions) <a href="#functions" id="functions"></a>

#### getPositionInfo[​](https://docs.uniswap.org/contracts/v3/reference/periphery/staker/libraries/NFTPositionInfo#getpositioninfo) <a href="#getpositioninfo" id="getpositioninfo"></a>

```solidity
  function getPositionInfo(
    contract IDragonswapV2Factory factory,
    contract INonfungiblePositionManager nonfungiblePositionManager,
    uint256 tokenId
  ) internal view returns (contract IDragonswapV2Pool pool, int24 tickLower, int24 tickUpper, uint128 liquidity)
```

**Parameters:**[**​**](https://docs.uniswap.org/contracts/v3/reference/periphery/staker/libraries/NFTPositionInfo#parameters)

| Name                         | Type                                 | Description                                                                |
| ---------------------------- | ------------------------------------ | -------------------------------------------------------------------------- |
| `factory`                    | contract IDragonswapV2Factory        | The address of the DragonswapV2 Factory used in computing the pool address |
| `nonfungiblePositionManager` | contract INonfungiblePositionManager | The address of the nonfungible position manager to query                   |
| `tokenId`                    | uint256                              | The unique identifier of an DragonswapV2 LP token                          |

**Return Values:**[**​**](https://docs.uniswap.org/contracts/v3/reference/periphery/staker/libraries/NFTPositionInfo#return-values)

| Name        | Type              | Description                                 |
| ----------- | ----------------- | ------------------------------------------- |
| `pool`      | IDragonswapV2Pool | The address of the DragonswapV2 pool        |
| `tickLower` | int24             | The lower tick of the DragonswapV2 position |
| `tickUpper` | int24             | The upper tick of the DragonswapV2 position |
| `liquidity` | uint128           | The amount of liquidity staked              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/staker/libraries/nftpositioninfo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
